<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<h2><?php echo ShoppingcartModule::t('Items ordered')?></h2>


<table width="100%" cellspacing="0" cellpadding="0" class="items">
    <colgroup>
        <col width="10%">
        <col width="65%">
        <col width="10%">
        <col width="10%">
    </colgroup>
    <tr>
        <th class="item_quantity"><?php echo Item::model()->getAttributeLabel('quantity'); ?></th>
        <th class="item_title"><?php echo Item::model()->getAttributeLabel('title'); ?></th>
        <th class="item_price"><?php echo Item::model()->getAttributeLabel('price'); ?></th>
        <th class="item_sum"><?php echo ShoppingcartModule::t('Total'); ?></th>
    </tr>
    <?php
    foreach($items as $i=>$item):

        ?>
        <tr>
            <td class="item_quantity"><?php echo $item->quantity ?></td>
            <td class="item_title"><?php echo $item->title; ?></td>
            <td class="item_price"><?php echo ($item->price != 0)?Item::addCurrency($item->price):ShoppingcartModule::t('free'); ?></td>
            <td class="item_sum"><?php echo ($item->price != 0)?Item::addCurrency(($item->price * $item->quantity)):ShoppingcartModule::t('free'); ?></td>
        </tr>
        <?php endforeach; ?>
<tr><td colspan="4"><hr /></td></tr>
	<tr>
	<th><?php echo ShoppingcartModule::t('Buyer');?></th>
	</tr>

	<?php foreach($user->attributes as $fieldName => $field):
              if(substr($fieldName,-2) == 'id' || empty($field)) continue; ?>
    <tr>
        <td class="label"><?php echo $user->getAttributeLabel($fieldName); ?></td>
        <td class="value"><?php echo $field; ?></td>
    </tr>
<?php endforeach; ?>
</table>
