<?php

/**
 * 
 **/
class LoginAttempt extends CActiveRecord
{
    
    /**
     * Returns the static model of the specified AR class.
     * @return CActiveRecord the static model class
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return '{{login_attempts}}';
    }

    public function rules()
    {
        return array(
            array('attempts', 'default', 'value' => 1),
            array('created, updated', 'default', 'value' => AppHelper::mysqlDate()),
            array('ip, attempts, created, updated', 'required'),
            array('attempts', 'numerical', 'integerOnly' => true),
        );
    }

    public function init()
    {
        $this->onBeforeSave = array($this, 'updateTimestamp');    
    }

    public function updateTimestamp()
    {
        $this->updated = AppHelper::mysqlDate();
    }

}
