<?php
/**
 *
 */
Yii::app()->clientScript->registerCssFile(Yii::app()->getModule('bulk')->getAssetsUrl(). '/css/styles.css')
?>

<?php echo CHtml::beginForm() ?>
<div class="bulk-bulk">
    <div class="row">
        <?php echo CHtml::errorSummary($model)?>
    </div>

    <div class="entity">
        <div class="title">Users:</div>
        <div>Exists <?php echo $usersQty?></div>
        <div class="row">
            <?php echo CHtml::activeLabel($model, 'usersQty')?>
            <?php echo CHtml::activeTextField($model, 'usersQty')?>
        </div>
    </div>

    <div class="entity">
        <div class="title">Likes:</div>
        <div>Exists <?php echo $likesQty?></div>
        <div class="row">
            <?php echo CHtml::activeLabel($model, 'likesQty')?>
            <?php echo CHtml::activeTextField($model, 'likesQty')?>
        </div>
        <div class="row">
            <?php echo CHtml::activeLabel($model, 'likesContentId')?>
            <?php echo CHtml::activeTextField($model, 'likesContentId')?>
        </div>
        <?php echo CHtml::link('Clear likes', Yii::app()->createUrl('/bulk/bulk/clear', array('type' => 'likes')))?>
    </div>
    <div class="entity">
        <div class="title">Comments:</div>
        <div>Exists <?php echo $commentsQty?></div>
        <div class="row">
            <?php echo CHtml::activeLabel($model, 'commentsQty')?>
            <?php echo CHtml::activeTextField($model, 'commentsQty')?>
            <?php echo CHtml::activeLabel($model, 'commentsForEach')?>
            <?php echo CHtml::activeCheckBox($model, 'commentsForEach')?>
        </div>
        <div class="row">
            <?php echo CHtml::activeLabel($model, 'commentsContentId')?>
            <?php echo CHtml::activeTextField($model, 'commentsContentId')?>
        </div>
        <?php echo CHtml::link('Clear comments', Yii::app()->createUrl('/bulk/bulk/clear', array('type' => 'comments')))?>
    </div>

    <div class="row">
        <?php echo CHtml::link('Clear all test data', Yii::app()->createUrl('/bulk/bulk/clear', array('type' => 'all')))?>
    </div>
    <div><?php echo CHtml::submitButton('Generate')?></div>
</div>
<?php echo CHtml::endForm() ?>