<?php

/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Last visited pages
 *
 **/
class LastVisitedPages extends BaseWidget
{

    /**
     * Collection id for filtering pages
     *
     * @var string
     **/
    public $collection_id;

    /**
     * Amount of displaying items
     *
     * @var string
     **/
    public $count = 4;

    /**
     * Find pages, display
     *
     **/
    public function run()
    {
        $history = VisitedHistory::getItems($this->collection_id, $this->count);
        $this->render('LastVisitedPages', array('history'=>$history));
    }    
}
