<?php
/**
 *
 */
class MailsendingController extends BaseController
{
    public $layout = true;
    public $mailLayout = false;

    public function actionIndex()
    {
        $form = new MailsendingForm();
        if (isset($_GET['link']) && is_string($_GET['link'])) {
            $form->link = $_GET['link'];
        } else {
            throw new CHttpException(400, 'Empty link');
        }

        if (isset($_POST['MailsendingForm'])) {
            $form->attributes = $_POST['MailsendingForm'];
            if ($form->validate()) {
                $this->mailLayout = '//layouts/mail';
                $subject = SocialModule::t('Link was sent to you');
                $message = $this->renderMail('/mail_templates/mailsending', $subject, array('model' => $form), true);
                $notification = new Notification(
                    $subject,
                    $message,
                    array(new EmailRecipient($form->friends_email, Yii::app()->getModule('social')->mailsendingEmail , '', true))
                );
                Yii::app()->notificationManager->notifyAbout($notification);
                Yii::app()->user->setFlash('social-mailing', SocialModule::t('Your link was sent!'));
                $form = new MailsendingForm();
            }
        }

        $this->renderPartial('index', array('model' => $form));
    }

}
